---

# Toggling on logging for better verbosity
log: true

dependency:
  name: galaxy

# Using docker driver since this function
# focuses mostly on file and dir manipulation
# and doesn't mess with selinux or systemd
driver:
  name: docker

lint:
  name: yamllint

# Two instances are called, even though
# this func only acts on localhost,
# this is do the delegate_to and run_once
# parameters can be tested.
platforms:
  - name: instance0
    image: ubuntu:bionic
  - name: instance1
    image: ubuntu:bionic

# The playbook used by this unit test
# is designed to emulate how a user
# would call this function via an
# include_role statement.
# The data for inventories and vars is
# pulled from central, generic mock data.
provisioner:
  name: ansible
  log: true
  playbooks:
    converge: ../../../../get_env_config.yml
  inventory:
    links:
      hosts: ../.mock/vars/inventories/mock0/hosts
      group_vars: ../.mock/vars/group_vars
      host_vars: ../.mock/vars/host_vars
  lint:
    name: ansible-lint
    options:
      x: [ 503 ]

# Goss, the yaml-based verifier is used to
# verify that the desired end result of the
# molecule test was acheived.
verifier:
  name: goss
  enabled: true
  lint:
    name: yamllint

# The test sequence has to be altered slightly for this
# scenario to ensure the playbook is copied into the
# top-level directory before linting is performed; otherwise
# thhe lint stage fails when it is unable to find the playbook
# that is referenced in the provisioner section of this file.
scenario:
  test_sequence:
    - dependency
    - cleanup
    - destroy
    - create
    - prepare
    - syntax
    - lint
    - converge
    - idempotence
    - side_effect
    - verify
    - cleanup
    - destroy
...
